Bug 472681 - F10 Preview doesn't launch the X server
F10 Preview doesn't launch the X server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 06:47 EST by Gianluca Varisco
Modified: 2015-10-25 21:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-15 15:10:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (33.13 KB, text/plain)
2008-11-25 14:42 EST, Gianluca Varisco
no flags Details
GDM log (23.24 KB, text/plain)
2008-11-25 14:44 EST, Gianluca Varisco
no flags Details
GDM greeter (9.21 KB, text/plain)
2008-11-25 14:50 EST, Gianluca Varisco
no flags Details
dmesg (25.31 KB, text/plain)
2008-11-25 14:51 EST, Gianluca Varisco
no flags Details

  None (edit)
Description Gianluca Varisco 2008-11-23 06:47:32 EST
Guys,

I'm not sure about the right 'component' involved, feel free to move it to the right one. When I boot my USB key containing F10 Preview, it loads all the services but doesn't launch the X server (and so the GDM). Seems like it spawns the X server each 2/3 sec but, despite that, nothing happen.

On this box I've a working F8 system, here's the output of "lspci -v" in case it could helps:

00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01) (prog-if 00 [VGA controller])
	Subsystem: Compaq Computer Corporation Unknown device 00c5
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at fc400000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: [d0] Power Management version 1
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: i810_smbus
	Kernel modules: intelfb, i2c-i810

Please let me know if you need further details/log files.
Comment 1 Matěj Cepl 2008-11-24 04:37:46 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

When the anaconda crashes, please, switch to the console (Ctrl+Alt+F2) and cp /tmp/* to some other place -- USB stick, some other computer via network, some on the Internet, and please attach it to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Gianluca Varisco 2008-11-25 14:41:48 EST
Matej,

Thanks for your time.

I booted F10-Live (i686) final bits and I've now two different behaviours: 

- Sometimes GDM starts and immediately hangs while loading the login box (both keyboard and mouse are disabled as well). I wonder if it is a kernel panic (I'll try to investigate more)...

- Sometimes GDM starts without problem but the desktop is totally broken: missing icons in the upper panel, mouse scrolling problems and text (on applications,places,system menu items) not displayed correctly. It also crashes after few seconds of moving the cursor.   

I'm attaching some logs files, hope that they can help to track some interesting information. Please let me know how I can debug more this annoying problem.
Comment 3 Gianluca Varisco 2008-11-25 14:42:53 EST
Created attachment 324651 [details]
Xorg.0.log
Comment 4 Gianluca Varisco 2008-11-25 14:44:10 EST
Created attachment 324652 [details]
GDM log
Comment 5 Gianluca Varisco 2008-11-25 14:50:19 EST
Created attachment 324653 [details]
GDM greeter
Comment 6 Gianluca Varisco 2008-11-25 14:51:14 EST
Created attachment 324654 [details]
dmesg
Comment 7 Bug Zapper 2008-11-26 00:48:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Vedran Miletić 2009-10-15 15:10:50 EDT
This chipset (845G) had some bugs in Fedora 10 i810 driver, but they were ironed out in Fedora 11. Reporter, if you can still reproduce this bug with Fedora 11, please reopen it.

Note You need to log in before you can comment on or make changes to this bug.